Page MenuHomePhabricator

Modernize user activity logs (ApplicationSearch, policies)
ClosedPublic

Authored by epriestley on Apr 24 2014, 7:00 PM.

Details

Summary

Ref T4398. Ref T4842. I want to let users review their own account activity, partly as a general security measure and partly to make some of the multi-factor stuff easier to build and debug.

To support this, implement modern policies and application search.

I also removed the "old" and "new" columns from this output, since they had limited utility and revealed email addresses to administrators for some actions. We don't let administrators access email addresses from other UIs, and the value of doing so here seems very small.

Test Plan

Used interface to issue a bunch of queries against user logs, got reasonable/expected results.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley updated this revision to Diff 21012.Apr 24 2014, 7:00 PM
epriestley retitled this revision from to Modernize user activity logs (ApplicationSearch, policies).
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
keir added a subscriber: keir.Apr 24 2014, 7:46 PM
keir added inline comments.
src/applications/people/query/PhabricatorPeopleLogSearchEngine.php
150

Why not just have an if? It's confusing that this is a switch and makes me scratch my head wondering if I've missed something.

epriestley added inline comments.Apr 24 2014, 8:07 PM
src/applications/people/query/PhabricatorPeopleLogSearchEngine.php
150

For consistency[1] with other SearchEngine objects, which usually define more than one filter.

[1] I copy/pasted, but that's technically consistency?

btrahan accepted this revision.Apr 25 2014, 1:05 AM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Apr 25 2014, 1:05 AM
epriestley closed this revision.Apr 28 2014, 12:31 AM
epriestley updated this revision to Diff 21063.

Closed by commit rP320be1a1b8d4 (authored by @epriestley).